:root {
    --nb-cart-box-11-cart-item-border-radius: var(--nb-border-radius-4);

    --nb-cart-box-11-cart-item-name-font-size: var(--nb-font-size-14);
    --nb-cart-box-11-cart-item-name-font-weight: var(--nb-font-regular);
    --nb-cart-box-11-cart-item-name-color: var(--nb-text-color-primary);

    --nb-cart-box-11-cart-item-size-font-size: var(--nb-font-size-12);
    --nb-cart-box-11-cart-item-size-font-weight: var(--nb-font-regular);
    --nb-cart-box-11-cart-item-size-color: var(--nb-text-color-primary);

    --nb-cart-box-11-cart-item-img-border-radius: var(--nb-border-radius-4);
    --nb-cart-box-11-cart-item-img-border-color: var(--nb-border-color);
}

.nb-cart-box-11 .nb-image-info-wrapper {
    display: flex;
    gap: 12px;
    position: relative;
    margin-bottom: 20px;
}

.nb-cart-box-11 .nb-image-info-wrapper .nb-img {
    border-radius: var(--nb-cart-box-11-cart-item-img-border-radius);
    max-width: 90px;
}

.nb-cart-box-11 .nb-image-info-wrapper .nb-img {
    border-radius: var(--nb-cart-box-11-cart-item-img-border-radius);
    max-width: 90px;
}

.nb-cart-box-11 .nb-product-info-wrapper .nb-cart-item-name .nb-title,
.nb-cart-box-11 .nb-product-info-wrapper .nb-cart-item-name {
    font-size: var(--nb-cart-box-11-cart-item-name-font-size);
    font-weight: var(--nb-cart-box-11-cart-item-name-font-weight);
    color: var(--nb-cart-box-11-cart-item-name-color);
    --nb-dt-rows: auto;
    height: calc(var(--nb-dt-rows) * var(--nb-product-name-line-height) * var(--nb-cart-box-11-cart-item-name-font-size));
}

.nb-cart-box-11 .nb-product-info-wrapper .nb-cart-item-name {
    margin-bottom: 10px;
}

.nb-cart-box-11 .nb-cart-item-quantity-display-1 {
    margin-bottom: 0;
}

.nb-cart-box-11 .nb-product-info-wrapper .nb-quantity-display-1 .custom-text,
.nb-cart-box-11 .nb-product-info-wrapper .nb-cart-selected-size > *,
.nb-cart-box-11 .nb-product-info-wrapper .nb-cart-selected-size {
    font-size: var(--nb-cart-box-11-cart-item-size-font-size);
    font-weight: var(--nb-cart-box-11-cart-item-size-font-weight);
    color: var(--nb-cart-box-11-cart-item-size-color);
    line-height: 1;
}

.nb-cart-box-11 .nb-quantity-cart-2 .nb-quantity-wrapper {
    border-radius: var(--nb-cart-box-11-cart-item-border-radius);
}

.nb-cart-box-11 .nb-quantity-cart-2 .nb-quantity-arrows:first-of-type {
    border-bottom-left-radius: var(--nb-cart-box-11-cart-item-border-radius);
    border-top-left-radius: var(--nb-cart-box-11-cart-item-border-radius);
}

.nb-cart-box-11 .nb-quantity-cart-2 .nb-quantity-arrows:last-of-type {
    border-top-right-radius: var(--nb-cart-box-11-cart-item-border-radius);
    border-bottom-right-radius: var(--nb-cart-box-11-cart-item-border-radius);
}

.nb-cart-box-11 .nb-quantity-cart-2 {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

.nb-cart-box-11 .nb-delete-product-cart-item {
    cursor: pointer;
}

.nb-cart-box-11 .nb-quantity-cart-2 .nb-quantity-label {
    margin-right: 0;
    font-size: var(--nb-font-size-14);
    font-weight: var(--nb-font-medium);
}

.nb-cart-box-11 .nb-quantity-cart-2 .nb-quantity-arrows {
    width: 41px;
    height: 40px;
    background-color: var(--nb-bg-primary);
}

.nb-cart-box-11 .nb-quantity-cart-2 .nb-quantity-input .nb-input {
    width: 50px;
    height: 40px;
    padding: 0;
    font-size: var(--nb-font-size-16);
    font-weight: var(--nb-font-medium);
}

.nb-cart-box-11 .nb-product-info-wrapper {
    flex-grow: 1;
}

.nb-cart-box-11 .nb-size-and-quantity-wrapper {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 10px;
}

.nb-cart-box-11 .nb-quantity-and-icons-wrapper {
    display: flex;
    align-items: end;
    gap: 10px;
    justify-content: space-between;
}

.nb-cart-box-11 .nb-quantity-and-icons-wrapper .nb-icons-wrapper {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 10px;
}

.nb-cart-box-11 .nb-info-unavailable-product-wrapper {
    border: var(--nb-border-width) var(--nb-border-style) var(--nb-color-danger);
    border-left-width: 2px;
    padding: 12px;
    border-radius: 4px;
    display: flex;
    gap: 12px;
    background-color: var(--nb-color-red-100);
    font-size: var(--nb-font-size-16);
    font-weight: var(--nb-font-medium);
    margin-bottom: 20px;
}

.nb-cart-box-11 .nb-info-wrapper .nb-icon {
    color: var(--nb-color-danger);
}

.nb-cart-box-11:has(.nb-info-unavailable-product-wrapper) .nb-quantity-display-1,
.nb-cart-box-11:has(.nb-info-unavailable-product-wrapper) .nb-quantity-cart-2 {
    display: none;
}

.nb-cart-box-11:has(.nb-info-unavailable-product-wrapper) .nb-quantity-and-icons-wrapper {
    justify-content: flex-end;
}

.nb-cart-box-11:has(.nb-info-unavailable-product-wrapper) .nb-quantity-and-icons-wrapper .nb-icons-wrapper {
    margin-bottom: 0;
}